#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import os
import sys

path_base = './base.kml'
ret = os.path.isfile(path_base)
if(ret == False):
    print("No Base file")
    sys.exit()

with open(path_base) as s:
    b = s.read()

path_in = './res.txt'
ret = os.path.isfile(path_in)
if(ret == False):
    print("No Data file")
    sys.exit()

with open(path_in) as s:
    l = s.readlines()

coordinates = ""
coordinate_list = []
for c in l:
    d = c.split("|")
    if(len(d) == 3):
        e = d[2]
        e = e.strip()
        e = e.replace("LINESTRING","")
        e = e.replace("(","")
        e = e.replace(")","")
        e = e.replace("\n","")
        f = e.split(",")
        if(len(f) >= 2):
            temp_str = ""
            for i in range(len(f)):
                g = f[i].split(" ")
                temp = g[0] + "," + g[1] + ",0"
                temp_str += temp + " "
            
            temp_str = temp_str[:-1]
            coordinate_list.append(temp_str)

for g in coordinate_list:
    coordinates += "<LineString><coordinates>" + g + "</coordinates></LineString>" + "\n"

coordinates = coordinates[:-1]

a = b.replace("PATHCOORDINATES",coordinates)

path_out = './path.kml'

with open(path_out, mode='w') as s:
    s.write(a)



